----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    09:30:26 06/13/2011 
-- Design Name: 
-- Module Name:    MUX8 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity MUX8 is
    Port ( di1 : in  STD_LOGIC_VECTOR (7 downto 0);
           di2 : in  STD_LOGIC_VECTOR (7 downto 0);
           sel : in  STD_LOGIC;
           do : out  STD_LOGIC_VECTOR (7 downto 0));
end MUX8;

architecture Behavioral of MUX8 is

begin
 with sel select
		do <= di1 when '0',
				di2 when '1',
				di1 when others;
end Behavioral;

